Debian DSA-1307-1 : openoffice.org - heap overflow

high Nessus Plugin ID 25506
New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it is different from CVSS.

VPR Score: 5.9

Synopsis

The remote Debian host is missing a security-related update.

Description

John Heasman discovered a heap overflow in the routines of OpenOffice.org that parse RTF files. A specially crafted RTF file could cause the filter to overwrite data on the heap, which may lead to the execution of arbitrary code.

Solution

Upgrade the openoffice.org packages.

For the old stable distribution (sarge) this problem has been fixed in version 1.1.3-9sarge7.

For the stable distribution (etch) this problem has been fixed in version 2.0.4.dfsg.2-7etch1.

See Also

https://www.debian.org/security/2007/dsa-1307

Plugin Details

Severity: High

ID: 25506

File Name: debian_DSA-1307.nasl

Version: 1.17

Type: local

Agent: unix

Published: 6/14/2007

Updated: 1/4/2021

Dependencies: ssh_get_info.nasl

Risk Information

Risk Factor: High

VPR Score: 5.9

CVSS v2.0

Base Score: 9.3

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:openoffice.org, cpe:/o:debian:debian_linux:3.1, cpe:/o:debian:debian_linux:4.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Patch Publication Date: 6/12/2007

Reference Information

CVE: CVE-2007-0245

DSA: 1307

CWE: 119